
Name:    kdeaddons
Summary: K Desktop Environment - Plugins
Version: 3.5.8
Release: 2%{?dist}

License: GPLv2
Group: User Interface/Desktops
Url: http://www.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
Source1: metabar-fedora.tar.bz2
Source2: metabarrc
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch2: kdeaddons-3.5.1-rgb.txt-path.patch
Patch3: kdeaddons-3.5.3-sdl.patch

BuildRequires: kdebase3-devel >= %{version}
BuildRequires: kdegames3-devel >= %{version}
BuildRequires: kdemultimedia3-devel >= %{version}
BuildRequires: kdepim3-devel >= %{version}
BuildRequires: SDL-devel
BuildRequires: alsa-lib-devel
BuildRequires: openssl-devel
BuildRequires: db4-devel
BuildRequires: xmms-devel

Requires: kdebase3 >= %{version}
# used in jpegorient (#312641)
Requires: python-exif
Requires: which

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

Obsoletes: %{name}-xmms < %{version}-%{release}

%description
A collection of KDE Addons/Plugins, including: 
* konq-plugins: akregator, babelfish, domtreeviewer, imagerotation, validators, webarchiver
* kate (plugins) 
* kicker-applets: kbinaryclock, kolourpicker, ktimemon, mediacontrol
* knewsticker-scripts

%package extras
Group: User Interface/Desktops
Summary: Extras packages from kdeaddons
Requires: %{name} = %{version}-%{release}
Requires: kdegames3 >= %{version}
Obsoletes: %{name}-atlantikdesigner < %{version}-%{release}
%description extras
This package includes:
* atlantikdesigner: game board designer
* noatun-plugins


%prep
%setup -q -a 1

%if 0%{?fedora} > 4 || 0%{?rhel} > 4
%patch2 -p0 -b .rgb.txt-path
%endif
%patch3 -p1 -b .sdl


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --includedir=%{_includedir}/kde \
  --disable-rpath \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final

make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

# File lists for locale
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d %{buildroot}/$HTML_DIR ]; then
 for lang_dir in %{buildroot}/$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
 done
fi

# rpmdocs
for dir in konq-plugins ; do
  for file in AUTHORS ChangeLog README TODO ; do
    test -s  "$dir/$file" && install -p -m644 -D "$dir/$file" "rpmdocs/$dir/$file"
  done
done

# install fedora metabar theme
cp -prf fedora %{buildroot}%{_datadir}/apps/metabar/themes
install -m644 -p %{SOURCE2} %{buildroot}%{_datadir}/config/


%post
/sbin/ldconfig
for f in crystalsvg hicolor locolor ; do
  touch --no-create %{_datadir}/icons/${f} 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/${f} 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
/sbin/ldconfig
for f in crystalsvg hicolor locolor ; do
  touch --no-create %{_datadir}/icons/${f} 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/${f} 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%post extras
touch --no-create %{_datadir}/icons/hicolor 2> /dev/null ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:

%postun extras
touch --no-create %{_datadir}/icons/hicolor 2> /dev/null ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README
%doc rpmdocs/*
%{_bindir}/*
%{_libdir}/kde3/*
%{_datadir}/applications/kde/*
%{_datadir}/applnk/.hidden/*
%{_datadir}/apps/akregator/pics/*
%{_datadir}/apps/domtreeviewer/
%{_datadir}/apps/fsview/
%{_datadir}/apps/imagerotation/
%{_datadir}/apps/kaddressbook/*
%{_datadir}/apps/kate/*
%{_datadir}/apps/katepart/syntax/*
%{_datadir}/apps/katexmltools
# own dir so we don't need to Requires: kdenetwork too
%dir %{_datadir}/apps/knewsticker
%{_datadir}/apps/knewsticker/*
%{_datadir}/apps/khtml/kpartplugins/*
%{_datadir}/apps/konq*view/kpartplugins/*
%{_datadir}/apps/konqueror/icons/*/*/*/*
%dir %{_datadir}/apps/konqueror/kpartplugins/
%{_datadir}/apps/konqueror/kpartplugins/*
%{_datadir}/apps/konqueror/servicemenus/*
%{_datadir}/apps/konqsidebartng/*/*
%{_datadir}/apps/mediacontrol/
%{_datadir}/apps/metabar/
%{_datadir}/apps/microformat/
%{_datadir}/apps/noatun/*
%{_datadir}/apps/kicker/applets/*
%{_datadir}/apps/ksig/
%{_datadir}/config*/*
%{_datadir}/icons/crystalsvg/*/*/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/locolor/*/*/*
%{_datadir}/mimelnk/*/*
%{_datadir}/service*/*

# atlantikdesigner
%exclude %{_bindir}/atlantikdesigner
%exclude %{_datadir}/icons/hicolor/*/*/atlantikdesigner*
%exclude %{_datadir}/applications/kde/atlantikdesigner.desktop

# noatun-plugins
%exclude %{_bindir}/noatun*
%exclude %{_libdir}/kde3/noatun*
%exclude %{_datadir}/apps/noatun/*


%files extras
%defattr(-,root,root,-)

# atlantikdesigner
%doc atlantikdesigner/TODO
%{_bindir}/atlantikdesigner
%{_datadir}/apps/atlantikdesigner/
%{_datadir}/icons/hicolor/*/*/atlantikdesigner*
%{_datadir}/applications/kde/atlantikdesigner.desktop

# noatun-plugins
%{_bindir}/noatun*
%{_libdir}/kde3/noatun*
%{_datadir}/apps/noatun/*


%changelog
* Wed Oct 24 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.5.8-2
- -extras: Requires: kdegames3

* Tue Oct 16 2007 Than Ngo <than@redhat.com> 3.5.8-1
- 3.5.8

* Wed Oct 03 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.5.7-6
- Requires: which python-exif (#312641)

* Wed Aug 29 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.5.7-5
- License: GPLv2
- (Build)Requires: kdebase3(-devel) kdegames3-devel kdemultimedia3-devel kdepim3-devel

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 3.5.7-4
- Rebuild for selinux ppc32 issue.

* Thu Jul 26 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.5.7-3
- move noatun-plugins to -extras
- move mediacontrol to main
- improve %%description

* Sat Jun 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.5.7-2
- use versioned Obsoletes
- drop Conflicts: akregator

* Thu Jun 07 2007 Than Ngo <than@redhat.com> - 3.5.7-1.fc7
- 3.5.7

* Mon Mar 12 2007 Than Ngo <than@redhat.com> - 3.5.6-4.fc7
- fix broken dependencies 

* Wed Mar 07 2007 Than Ngo <than@redhat.com> - 3.5.6-3.fc7
- %%doc COPYING-DOCS
- Requires(post,postun): xdg-utils

* Tue Feb 27 2007 Than Ngo <than@redhat.com> - 3.5.6-2.fc7
- cleanup specfile
- kde* package splitting in -extras
- fedora as metabar default setting

* Wed Feb 07 2007 Than Ngo <than@redhat.com> 3.5.6-1.fc7
- 3.5.6

* Thu Aug 10 2006 Than Ngo <than@redhat.com> 3.5.4-1
- rebuild

* Mon Jul 24 2006 Than Ngo <than@redhat.com> 3.5.4-0.pre1
- prerelease of 3.5.4 (from the first-cut tag)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 3.5.3-2.1
- rebuild

* Tue Jun 06 2006 Than Ngo <than@redhat.com> 3.5.3-2
- BR on libtool, automake

* Tue Jun 06 2006 Than Ngo <than@redhat.com> 3.5.3-1
- update to 3.5.3

* Fri May 05 2006 Petr Rockai <prockai@redhat.com> - 3.5.2-2
- fix path to rgb.txt in kolourpicker (#174139)

* Thu Apr 06 2006 Than Ngo <than@redhat.com> 3.5.2-1
- update to 3.5.2

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 3.5.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.5.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Feb 03 2006 Than Ngo <than@redhat.com> 3.5.1-1 
- 3.5.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 29 2005 Than Ngo <than@redhat.com> 3.5.0-1
- 3.5 final

* Tue Oct 25 2005 Than Ngo <than@redhat.com> 3.4.92-1
- update to KDE 3.5 beta 2

* Thu Oct 06 2005 Than Ngo <than@redhat.com> 3.4.91-1
- update to KDE 3.5 beta 1

* Tue Aug 09 2005 Than Ngo <than@redhat.com> 3.4.2-1
- update to 3.4.2

* Tue Jun 28 2005 Than Ngo <than@redhat.com> 3.4.1-1
- 3.4.1

* Tue Apr 05 2005 Than Ngo <than@redhat.com> 3.4.0-2
- xmms is removed in fc4, rebuild without xmms support

* Thu Mar 17 2005 Than Ngo <than@redhat.com> 3.4.0-1
- 3.4.0 release

* Sun Mar 06 2005 Than Ngo <than@redhat.com> 3.4.0-0.rc1.2
- rebuilt against gcc-4

* Tue Mar 01 2005 Than Ngo <than@redhat.com> 3.4.0-0.rc1.1
- 3.4.0 rc1

* Wed Feb 16 2005 Than Ngo <than@redhat.com> 3.3.92-0.1
- KDE 3.4 Beta2

* Tue Feb 08 2005 Than Ngo <than@redhat.com> 3.3.2-0.2
- disable vimpart

* Fri Dec 03 2004 Than Ngo <than@redhat.com> 3.3.2-0.1
- update to 3.3.2

* Mon Oct 18 2004 Than Ngo <than@redhat.com> 3.3.1-2
- rebuilt

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 3.3.1-1
- update to 3.3.1

* Sun Sep 26 2004 Than Ngo <than@redhat.com> 3.3.0-2
- cleanup menu

* Thu Aug 19 2004 Than Ngo <than@redhat.com> 3.3.0-1
- update to 3.3.0 release

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc2
- update to 3.3.0 rc2

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc1
- update to 3.3 rc1
- remove unneeded patch file

* Mon Jun 28 2004 Than Ngo <than@redhat.com> 3.2.3-3
- add gcc34 patch

* Mon Jun 28 2004 Than Ngo <than@redhat.com> 3.2.3-2
- rebuilt

* Mon Jun 21 2004 Than Ngo <than@redhat.com> 3.2.3-1
- 3.2.3 release

* Tue Apr 13 2004 Than Ngo <than@redhat.com> 3.2.2-1
- 3.2.2 release

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 3.2.1-1
- 3.2.1 release

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Than Ngo <than@redhat.com> 3.2.0-1.6
- gcc 3.4 build problem

* Tue Feb 17 2004 Than Ngo <than@redhat.com> 3.2.0-1.5
- fix typo bug, _smp_mflags instead smp_mflags

* Sat Feb 14 2004 Than Ngo <than@redhat.com> 3.2.0-1.4
- fix rpm file list

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 05 2004 Than Ngo <than@redhat.com> 3.2.0-0.3
- 3.2.0 release
- built against qt 3.3.0

* Mon Jan 19 2004 Than Ngo <than@redhat.com> 3.1.95-0.1
- KDE 3.2 RC1
- add correct requires

* Mon Dec 15 2003 Than Ngo <than@redhat.com> 3.1.94-0.4
- fixed dependencies problem

* Thu Dec 11 2003 Than Ngo <than@redhat.com> 3.1.94-0.3
- add missing kaddressbook config files

* Wed Dec 03 2003 Than Ngo <than@redhat.com> 3.1.94-0.2
- make atlantikdesigner as sub package,
  get rid of requires kdegames (bug #82742, #111323, #99375)

* Mon Dec 01 2003 Than Ngo <than@redhat.com> 3.1.94-0.1
- KDE 3.2 Beta2
- remove kdeaddons-3.1.93-typo.patch, which is in new upstream

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 3.1.93-0.3
- fixed typo

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 3.1.93-0.2
- get rid of rpath

* Tue Nov 11 2003 Than Ngo <than@redhat.com> 3.1.93-0.1
- KDE 3.2 Beta1
- cleanup specfile
- remove some unneeded patch files

* Thu Oct 23 2003 Than Ngo <than@redhat.com> 3.1.4-2
- rebuild

* Tue Sep 30 2003 Than Ngo <than@redhat.com> 3.1.4-1
- 3.1.4

* Wed Aug 13 2003 Than Ngo <than@redhat.com> 3.1.3-2
- rebuilt

* Sun Aug 03 2003 Than Ngo <than@redhat.com> 3.1.3-1
- 3.1.3

* Fri Jun 27 2003 Than Ngo <than@redhat.com> 3.1.2-4
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 18 2003 Than Ngo <than@redhat.com> 3.1.2-2
- 3.1.2

* Wed Mar 19 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-3
- get rid of gcc path from dependency_libs

* Thu Feb 13 2003 Than Ngo <than@redhat.com> 3.1-2
- rebuild against new arts

* Mon Jan 27 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 final
- cleanup specfile
- remove unneeded size_t check patch

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 3.1-0.6
- rebuild

* Tue Jan 14 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.5
- removed size_t check
- excluded ia64

* Mon Jan 13 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.4
- rc6
- added atlantikdesignerui.rc

* Tue Jan 07 2003 Elliot Lee <sopwith@redhat.com> 3.1-0.3
- Don't exclude Alpha "temporarily"

* Sat Dec 28 2002 Than Ngo <than@redhat.com> 3.1-0.2
- disable smp_flags

* Wed Nov 27 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- get rid of sub packages

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Thu Nov  7 2002 Than Ngo <than@redhat.com> 3.0.4-2
- fix some build problem
- umask of 077 issue (bug #73946)

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4

* Wed Sep 11 2002 Than Ngo <than@redhat.com> 3.0.3-1.1
- clean up specfile

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3
- don't strip binaries

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-3
- build using gcc-3.2-0.1

* Sat Jul 20 2002 Than Ngo <than@redhat.com> 3.0.2-2
- fix desktop files issue

* Wed Jul 10 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-1
- 3.0.1

* Wed Apr 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- BuildRequire the correct version of kdemultimedia

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Rebuild

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0.0 final

* Sat Mar  9 2002 Tim Powers <timp@redhat.com>
- change kdemultimedia-noatun requirement to noatun

* Fri Mar  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020308.1
- Update
- Adapt spec file to changes
- Exclude alpha temporarily

* Thu Jan 31 2002 Tim Powers <timp@redhat.com>
- knewsticker should require kdenetwork-libs and not kdenetwork

* Tue Jan 29 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020129.1
- Update

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- Require kdemultimedia-devel >= 2.2 rather than just kdemultimedia-devel
- Update

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.1
- Update
- Split in subpackages

* Thu Apr 26 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Initial release

